## python-xarray 2025.10.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS      =
SPHINXBUILD     = sphinx-build
SPHINXATUOBUILD = sphinx-autobuild
PAPER           =
BUILDDIR        = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  rtdhtml    Build html using same settings used on ReadtheDocs"
	@echo "  livehtml   Make standalone HTML files and rebuild the documentation when a change is detected. Also includes a livereload enabled web server"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*
	rm -rf generated/*
	rm -rf auto_gallery/

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: rtdhtml
rtdhtml:
	$(SPHINXBUILD) -T -j auto -E -W --keep-going -b html -d $(BUILDDIR)/doctrees -D language=en . $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."


.PHONY: livehtml
livehtml:
	# @echo "$(SPHINXATUOBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html"
	$(SPHINXATUOBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: html-noplot
html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/xarray.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/xarray.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/xarray"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/xarray"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-xarray (2025.10.1-1) unstable; urgency=medium

  * New upstream release
  * xfails-that-break-pytest.patch: fixed upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 22 Oct 2025 12:37:31 +0100

=== debian/control ===
Source: python-xarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Alastair McKinstry <mckinstry@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pip <!nodoc>,
               python3-pooch,
               python-pandas-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
               python-dask-doc <!nodoc>,
               python3-sphinxcontrib-mermaid <!nodoc>,
               python3-sphinx-remove-toctrees <!nodoc>,
               python3-autodocsumm <!nodoc>,
               python3-jupyter-sphinx <!nodoc>,
               python3-all,
               python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
               python3-h5netcdf <!nocheck>,
               python3-toolz <!nocheck>,
               python3-pickleshare <!nodoc>,
               python3-hypothesis <!nocheck>,
               python-hypothesis-doc <!nodoc>,
               python3-doc <!nodoc>,
               python3-bottleneck <!nocheck>,
               python3-cartopy <!nodoc>,
               python3-dask <!nocheck> <!nodoc>,
               python3-ipython <!nodoc>,
               python3-matplotlib <!nocheck> <!nodoc>,
               python-matplotlib-doc <!nocheck> <!nodoc>,
               python3-netcdf4 <!nocheck> <!nodoc>,
               python3-numpy,
               python3-numpydoc <!nocheck> <!nodoc>,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-mypy <!nocheck>,
               mypy <!nocheck>,
               tzdata-legacy <!nocheck>,
               python3-pint <!nocheck>,
               python3-scipy <!nocheck> <!nodoc>,
               python3-seaborn <!nocheck> <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxext-opengraph  <!nodoc>,
               python3-sphinxext-rediraffe <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-inline-tabs <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinx-book-theme <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               pandoc <!nodoc>,
               ipython3 <!nodoc>,
               python3-jupyter-console <!nodoc>,
               python3-jupyter-core <!nodoc>,
               python3-jupyter-client <!nodoc>,
               python3-packaging
Build-Conflicts: python3-pint (<= 0.21~1),
                 python3-pytest-lazy-fixture,
                 python3-xarray-datatree
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
Homepage: https://xarray.pydata.org/
Rules-Requires-Root: no

Package: python3-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-pandas,
         python3-jinja2,
         python3-packaging
Recommends: python3-bottleneck,
            python3-dask,
            python3-cftime,
            python3-netcdf4,
            python3-rasterio,
            python3-h5netcdf,
            python3-zarr
Suggests: python-xarray-doc <!nodoc>,
          python3-cartopy,
          python3-matplotlib,
          python3-scipy,
          python3-seaborn,
          python3-toolz
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

Package: python-xarray-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-requirejs
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xarray
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/buildopts.mk

# Path to tests differs for pybuild and autopkgtest environments
# Architecture determination also differs.
ifeq ($(PYBUILD_AUTOPKGTEST),1)
TESTPATH := tests
TESTARCH := $(shell dpkg --print-architecture)
else
TESTPATH := xarray/tests
include /usr/share/dpkg/buildflags.mk
TESTARCH := $(DEB_TARGET_ARCH)
endif

export PYBUILD_NAME=xarray
PY3VERS:= $(shell py3versions -s)

# Disable  for this release:
# - tests need pytest < 8
DEB_BUILD_OPTIONS += nodoc

export PYDEVD_DISABLE_FILE_VALIDATION=1

# Needed for pooch temp data directory
export env=/tmp/pooch

export MPLCONFIGDIR=$(CURDIR)/debian/build
export HOME=$(CURDIR)/debian/build

# Stop parallel tests,, broken for some reason?
# export PYBUILD_TEST_ARGS=-r fEs -n auto -k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims)' --pyargs xarray

export PYBUILD_TEST_ARGS := $(DEB_BUILD_OPTION_PARALLEL:%=-n%) --deselect=$(TESTPATH)/test_weighted.py::test_weighted_operations_keep_attr --deselect=$(TESTPATH)/test_variable.py::TestVariable::test_reduce_keepdims --deselect=$(TESTPATH)/test_backends.py::test_zarr_region_chunk_partial_offset --deselect=$(TESTPATH)/test_backends.py::test_chunk_encoding_with_dask -k 'not test_mypy' --pyargs xarray

# Some tests fail on 32-bit archs; skip those tests
BIT32_ARCH := i386 armel armhf
ifneq (,$(filter $(TESTARCH), $(BIT32_ARCH)))
export PYBUILD_DISABLE_python3=test
export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_cftimeindex.py::test_asi8 --deselect=$(TESTPATH)/test_datatree.py::TestRepr::test_doc_example $(PYBUILD_TEST_ARGS) --deselect=$(TESTPATH)/test_strategies.py::TestReduction::test_mean
endif

# And a couple of further failures on i386
ifeq (i386,$(TESTARCH))
export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_groupby.py::test_groupby_reduce_dimension_error --deselect=$(TESTPATH)/test_groupby.py::TestDataArrayGroupBy::test_groupby_reduce_keep_attrs $(PYBUILD_TEST_ARGS)
endif

%:
	dh $@  --buildsystem=pybuild

execute_after_dh_auto_clean:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif

execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;
	find debian -name  test.nc -delete

override_dh_auto_build:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -bhtml doc doc/_build/html
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	ln -s /usr/lib/python3/dist-packages/jupyter_sphinx/thebelab/thebelab-helper.js \
		debian/python-xarray-doc/usr/share/doc/python-xarray-doc/html/_static
	dh_sphinxdoc --exclude=MathJax.js
	find debian/python-xarray-doc -name '*.html' \
	 -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4% file:/usr/share/javascript/requirejs%' \
	< $$r > debian/tmp/x ; \
	mv debian/tmp/x $$r ; \
	done
endif

## python-xarray 2025.11.0

=== debian/changelog ===
python-xarray (2025.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Nov 2025 09:17:44 +0000

## python-xarray 2025.12.0

=== debian/changelog ===
python-xarray (2025.12.0-5) unstable; urgency=medium

  * Team upload.
  * Build without docs and tests (for now) so that we get a successful build.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 18:11:10 +1100

python-xarray (2025.12.0-4) unstable; urgency=medium

  * Team upload.
  * Ensure sphinx.ext.autosummary is loaded to prevent ftbfs.
  * Refresh other patches to remove fuzz.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 16:33:17 +1100

python-xarray (2025.12.0-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to solve some indexing problems that
    break python-rioxarray (Closes: #1123307) and sarsen (Closes: #1123338)
  * Add missing build-dep on python3-zarr.
  * Fix inconsistent whitespace in d/control with wrap-and-sort.

 -- Stuart Prescott <stuart@debian.org>  Fri, 16 Jan 2026 14:40:18 +1100

python-xarray (2025.12.0-2) unstable; urgency=medium

  * pr-11210.patch: Upstream bugfix. Thanks Antonio Valentino
      Closes: #1123151, #1123338, #1123160
  * Use sphinxdoc
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 14:24:37 +0000

python-xarray (2025.12.0-1) unstable; urgency=medium

  * New upstream release
  * Typo in Use-packaged-docs.patch breaks build
  * Docs now build : rm-iris.patch
  * Re-include python3-sparse when building docs
  * Build this release with 'nocheck' : multiple failures due to
    missing packages in 3.14 transition
  * Build 'nodoc' this release : build fails attempting downloads
    when building docs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Dec 2025 11:50:39 +0000

=== debian/control ===
Source: python-xarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
 Alastair McKinstry <mckinstry@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 ipython3 <!nodoc>,
 mypy <!nocheck>,
 pandoc <!nodoc>,
 pybuild-plugin-pyproject,
 python-dask-doc <!nodoc>,
 python-hypothesis-doc <!nodoc>,
 python-matplotlib-doc <!nocheck> <!nodoc>,
 python-pandas-doc <!nodoc>,
 python-scipy-doc <!nodoc>,
 python3-all,
 python3-autodocsumm <!nodoc>,
 python3-bottleneck <!nocheck>,
 python3-cartopy <!nodoc>,
 python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
 python3-dask <!nocheck> <!nodoc>,
 python3-doc <!nodoc>,
 python3-h5netcdf <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-ipython <!nodoc>,
 python3-jupyter-client <!nodoc>,
 python3-jupyter-console <!nodoc>,
 python3-jupyter-core <!nodoc>,
 python3-jupyter-sphinx <!nodoc>,
 python3-matplotlib <!nocheck> <!nodoc>,
 python3-nbsphinx <!nodoc>,
 python3-netcdf4 <!nocheck> <!nodoc>,
 python3-numpy,
 python3-numpydoc <!nocheck> <!nodoc>,
 python3-packaging,
 python3-pandas,
 python3-pickleshare <!nodoc>,
 python3-pint <!nocheck>,
 python3-pip <!nodoc>,
 python3-pooch,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-mypy <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-scipy <!nocheck> <!nodoc>,
 python3-seaborn <!nocheck> <!nodoc>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sparse,
 python3-sphinx <!nodoc>,
 python3-sphinx-book-theme <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-design <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
 python3-sphinx-inline-tabs <!nodoc>,
 python3-sphinx-remove-toctrees <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib-mermaid <!nodoc>,
 python3-sphinxext-opengraph  <!nodoc>,
 python3-sphinxext-rediraffe <!nodoc>,
 python3-toolz <!nocheck>,
 python3-zarr <!nodoc>,
 sphinx,
 tzdata-legacy <!nocheck>,
Build-Conflicts:
 python3-pint (<= 0.21~1),
 python3-pytest-lazy-fixture,
 python3-xarray-datatree,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
Homepage: https://xarray.pydata.org/
Rules-Requires-Root: no

Package: python3-xarray
Architecture: all
Depends:
 python3-jinja2,
 python3-numpy,
 python3-packaging,
 python3-pandas,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-bottleneck,
 python3-cftime,
 python3-dask,
 python3-h5netcdf,
 python3-netcdf4,
 python3-rasterio,
 python3-zarr,
Suggests:
 python-xarray-doc <!nodoc>,
 python3-cartopy,
 python3-matplotlib,
 python3-scipy,
 python3-seaborn,
 python3-toolz,
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

Package: python-xarray-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-mathjax,
 libjs-requirejs,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation for xarray
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 # Disable  for this release:
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS += nodoc
+DEB_BUILD_OPTIONS += nocheck nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1
 
@@ -34,13 +34,20 @@
 # Stop parallel tests,, broken for some reason?
 # export PYBUILD_TEST_ARGS=-r fEs -n auto -k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims)' --pyargs xarray
 
-export PYBUILD_TEST_ARGS := $(DEB_BUILD_OPTION_PARALLEL:%=-n%) --deselect=$(TESTPATH)/test_weighted.py::test_weighted_operations_keep_attr --deselect=$(TESTPATH)/test_variable.py::TestVariable::test_reduce_keepdims --deselect=$(TESTPATH)/test_backends.py::test_zarr_region_chunk_partial_offset --deselect=$(TESTPATH)/test_backends.py::test_chunk_encoding_with_dask -k 'not test_mypy' --pyargs xarray
+export PYBUILD_TEST_ARGS := $(DEB_BUILD_OPTION_PARALLEL:%=-n%) \
+	--deselect=$(TESTPATH)/test_weighted.py::test_weighted_operations_keep_attr \
+	--deselect=$(TESTPATH)/test_variable.py::TestVariable::test_reduce_keepdims \
+	--deselect=$(TESTPATH)/test_backends.py::test_zarr_region_chunk_partial_offset \
+	--deselect=$(TESTPATH)/test_backends.py::test_chunk_encoding_with_dask -k 'not test_mypy' \
+	--pyargs xarray
 
 # Some tests fail on 32-bit archs; skip those tests
 BIT32_ARCH := i386 armel armhf
 ifneq (,$(filter $(TESTARCH), $(BIT32_ARCH)))
 export PYBUILD_DISABLE_python3=test
-export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_cftimeindex.py::test_asi8 --deselect=$(TESTPATH)/test_datatree.py::TestRepr::test_doc_example $(PYBUILD_TEST_ARGS) --deselect=$(TESTPATH)/test_strategies.py::TestReduction::test_mean
+export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_cftimeindex.py::test_asi8 \
+	--deselect=$(TESTPATH)/test_datatree.py::TestRepr::test_doc_example $(PYBUILD_TEST_ARGS) \
+	--deselect=$(TESTPATH)/test_strategies.py::TestReduction::test_mean
 endif
 
 # And a couple of further failures on i386
@@ -49,11 +56,12 @@
 endif
 
 %:
-	dh $@  --buildsystem=pybuild
+	dh $@  --buildsystem=pybuild --with sphinxdoc
 
 execute_after_dh_auto_clean:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C doc clean
+	rm -f examples
 endif
 
 execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
@@ -63,6 +71,7 @@
 override_dh_auto_build:
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	ln -s doc/examples 
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -bhtml doc doc/_build/html
 endif

## python-xarray 2026.01.0

=== debian/changelog ===
python-xarray (2026.01.0-2) unstable; urgency=medium

  * Drop sparse as #1123313 is blocking upgrades

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Feb 2026 05:29:32 +0000

python-xarray (2026.01.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Jan 2026 07:53:09 +0000

## python-xarray 2026.02.0

=== debian/changelog ===
python-xarray (2026.02.0-1) experimental; urgency=medium

  * New upstream release
  * Patches refreshed; indexing-11044.patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Feb 2026 05:54:32 +0000

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,6 @@
  python3-seaborn <!nocheck> <!nodoc>,
  python3-setuptools,
  python3-setuptools-scm,
- python3-sparse,
  python3-sphinx <!nodoc>,
  python3-sphinx-book-theme <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
